Bug 693500 - chkconfig --list does not match systemctl is-enabled
chkconfig --list does not match systemctl is-enabled
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: chkconfig (Show other bugs)
15
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-04 16:09 EDT by Jeff Bastian
Modified: 2014-03-16 23:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: chkconfig-1.3.52-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-03 00:54:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2011-04-04 16:09:23 EDT
Description of problem:
I was confused while trying to figure out why the avahi-daemon service was not starting at boot.  chkconfig told me it was enabled:
    # chkconfig --list avahi-daemon

    Note: This output shows SysV services only and does not include native
          systemd services. SysV configuration data might be overriden by native
          systemd configuration.

    avahi-daemon    0:off   1:off   2:off   3:on    4:on    5:on    6:off

But the service was not starting at boot.

After reading through bug 647831, I tried the new systemctl command:
    # systemctl is-enabled avahi-daemon.service || echo avahi disabled
    avahi disabled

A quick 'systemctl enable avahi-daemon.service' and reboot got avahi-daemon up and running.

Please make chkconfig --list show the actual enabled/disabled status of the service.


Version-Release number of selected component (if applicable):
chkconfig-1.3.51-1.fc15.x86_64
systemd-22-1.fc15.x86_64
avahi-0.6.29-1.fc15.x86_64


How reproducible:
every time

Steps to Reproduce:
1. systemctl disable avahi-daemon.service
2. chkconfig --list avahi-daemon

Actual results:
avahi-daemon    0:off   1:off   2:off   3:on    4:on    5:on    6:off

Expected results:
avahi-daemon    0:off   1:off   2:off   3:off   4:off   5:off   6:off

Additional info:
Comment 1 Bill Nottingham 2011-04-04 16:43:48 EDT
That comment is there for a reason. It's a non-trivial change, and is not scheduled for Fedora 15.
Comment 2 Jeff Bastian 2011-04-04 17:31:42 EDT
Maybe it's just me, but I read the first part of the notice "This output shows SysV services only" and I thought, "Well, chkconfig is showing avahi-daemon, so that must mean it is a SysV service and thus the output is authoritative."

The second part of the notice -- that it might be overridden by a systemd config -- didn't click with me at first.

Re-wording the notice to make the "systemd can override this" part more prominent might help the transition to systemd.  For example:

    Note: This output shows SysV services only and does not include native
          systemd services.
    Note: native systemd services can override SysV configuration.  See the
          systemctl(1) man page and /etc/systemd/system/*.wants/*.service
    Note: See http://fedoraproject.org/wiki/SysVinit_to_Systemd_Cheatsheet

Or maybe it's just me...
Comment 3 Bill Nottingham 2011-04-04 20:09:29 EDT
No, it's reasonable to work on the wording. Will have to check the translation status during the string freeze.
Comment 4 Bill Nottingham 2011-04-26 17:46:01 EDT
Can't change the wording now; it will break translations. However, I did commit the following.

http://git.fedorahosted.org/git/?p=chkconfig.git;a=commitdiff;h=55c0f3e082a3531974f83278fc2c1e0f85897ac1

This makes chkconfig not show anything in --list for services overridden by systemd files; it will still print the warning. Hopefully this will be less confusing.
Comment 5 Fedora Update System 2011-04-27 13:49:19 EDT
chkconfig-1.3.52-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/chkconfig-1.3.52-1.fc15
Comment 6 Jeff Bastian 2011-04-28 10:07:24 EDT
I can confirm the new chkconfig successfully hides avahi-daemon:


$ sudo chkconfig --list | grep avahi

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overridden by native
      systemd configuration.

$
Comment 7 Fedora Update System 2011-04-28 15:02:08 EDT
Package chkconfig-1.3.52-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing chkconfig-1.3.52-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/chkconfig-1.3.52-1.fc15
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-05-03 00:54:09 EDT
chkconfig-1.3.52-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Maurizio 2012-12-22 20:25:13 EST
sistem hijacked
Comment 10 Maurizio 2012-12-23 01:42:16 EST
i cant see all services at root  they only be display at service configuration manager

Note You need to log in before you can comment on or make changes to this bug.